# Interface TupleType

Type of a tuple (for use in ABI)

#### Category

Container types

#### Hierarchy

- TupleType

- Defined in codec/lib/format/types.ts:425

#####
Index

### Properties

memberTypes
typeClass
typeHint?

## Properties

### memberTypes

memberTypes: OptionallyNamedType[]

- Defined in codec/lib/format/types.ts:427

### typeClass

typeClass: "tuple"

- Defined in codec/lib/format/types.ts:426

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:428

Generated using TypeDoc